Foxit PDF SDK

Public Member Functions | Public Attributes | Static Public Attributes | List of all members
FSDK.Word2PDFSettingData Class Reference

## Public Member Functions
| constructor ()
| Constructor.
| constructor (include_doc_props, optimize_option, content_option, bookmark_option, convert_to_pdfa, disable_vba_code)
| Constructor, with parameters. More...
| Set (include_doc_props, optimize_option, content_option, bookmark_option, convert_to_pdfa, disable_vba_code)
| Set value. More...

## Public Attributes
| bookmark_option
| Bookmark option for covnerting Word to PDF, which specifies whether to export bookmarks to converted PDF file, and the type of bookmarks. Please refer to values starting from FSDK.Word2PDFSettingData.e_ConvertBookmarkOptionNone and this should be one of these values.
| content_option
| Content option for covnerting Word to PDF, which specifies how much content of Word document is to be converted to PDF file. Please refer to values starting from FSDK.Word2PDFSettingData.e_ConvertContentOptionOnlyContent and this should be one of these values.
| convert_to_pdfa
| (Reserved) A boolean value which indicates whether to convert to a PDF/A file or a common PDF file. Currently, this is useless and Foxit PDF SDK will treated as false. More...
| disable_vba_code
| A boolean value decide whether to disable the execution of vba code in the Word document. More...
| include_doc_props
| A boolean value which indicates whether to include Word document properties in the converted PDF document. More...
| optimize_option
| Optimize option for covnerting Word to PDF, which specifies the resolution and quality of the converted PDF document. Please refer to values starting from FSDK.Word2PDFSettingData.e_ConvertOptimizeOptionForPrint and this should be one of these values.

## Static Public Attributes
static | e_ConvertBookmarkOptionNone
| Enumeration for bookmark option for for converting Word to PDF. More...
static | e_ConvertBookmarkOptionUseHeadings
| Create bookmarks in converted PDF file by using each heading of Word document. More...
static | e_ConvertBookmarkOptionUseWordBookmark
| Create bookmarks in converted PDF file by using each bookmarks of Word document. More...
static | e_ConvertContentOptionOnlyContent
| Enumeration for content option which specifies how much content of Word document is to be converted to PDF document. More...
static | e_ConvertContentOptionWithMarkup
| Convert Word document with markup.
static | e_ConvertOptimizeOptionForOnScreen
| Optimize option: convert for screen; which is a lower quality and results in a smaller file size.
static | e_ConvertOptimizeOptionForPrint
| Enumeration for optimize option (which specifies resolution and quality) for converting Word to PDF. More...

## Detailed Description

This class represents setting data used for converting Word to PDF.

## Member Function Documentation

## ◆ constructor()

FSDK.Word2PDFSettingData.constructor | ( | include_doc_props | ,
|  | optimize_option | ,
|  | content_option | ,
|  | bookmark_option | ,
|  | convert_to_pdfa | ,
|  | disable_vba_code |
| ) |  |

Constructor, with parameters.

Parameters

  [in] | include_doc_props | A boolean value which indicates whether to include Word document properties in the converted PDF document.
  [in] | optimize_option | Optimize option for covnerting Word to PDF, which specifies the resolution and quality of the converted PDF document. Please refer to values starting from FSDK.Word2PDFSettingData.e_ConvertOptimizeOptionForPrint and this should be one of these values.
  [in] | content_option | Content option for covnerting Word to PDF, which specifies how much content of Word document is to be converted to PDF file. Please refer to values starting from FSDK.Word2PDFSettingData.e_ConvertContentOptionOnlyContent and this should be one of these values.
  [in] | bookmark_option | Bookmark option for covnerting Word to PDF, which specifies whether to export bookmarks to converted PDF file, and the type of bookmarks. Please refer to values starting from FSDK.Word2PDFSettingData.e_ConvertBookmarkOptionNone and this should be one of these values.
  [in] | convert_to_pdfa | (Reserved) A boolean value which indicates whether to convert to a PDF/A file or a common PDF file. Currently, this is useless and Foxit PDF SDK will treated as false.
  [in] | disable_vba_code | A boolean value decide whether to disable the execution of vba code in the Word document.

## ◆ Set()

FSDK.Word2PDFSettingData.Set | ( | include_doc_props | ,
|  | optimize_option | ,
|  | content_option | ,
|  | bookmark_option | ,
|  | convert_to_pdfa | ,
|  | disable_vba_code |
| ) |  |

Set value.

Parameters

  [in] | include_doc_props | A boolean value which indicates whether to include Word document properties in the converted PDF document.
  [in] | optimize_option | Optimize option for covnerting Word to PDF, which specifies the resolution and quality of the converted PDF document. Please refer to values starting from FSDK.Word2PDFSettingData.e_ConvertOptimizeOptionForPrint and this should be one of these values.
  [in] | content_option | Content option for covnerting Word to PDF, which specifies how much content of Word document is to be converted to PDF file. Please refer to values starting from FSDK.Word2PDFSettingData.e_ConvertContentOptionOnlyContent and this should be one of these values.
  [in] | bookmark_option | Bookmark option for covnerting Word to PDF, which specifies whether to export bookmarks to converted PDF file, and the type of bookmarks. Please refer to values starting from FSDK.Word2PDFSettingData.e_ConvertBookmarkOptionNone and this should be one of these values.
  [in] | convert_to_pdfa | (Reserved) A boolean value which indicates whether to convert to a PDF/A file or a common PDF file. Currently, this is useless and Foxit PDF SDK will treated as false.
  [in] | disable_vba_code | A boolean value decide whether to disable the execution of vba code in the Word document.

Returns
  None.

## Member Data Documentation

## ◆ convert_to_pdfa

FSDK.Word2PDFSettingData.convert_to_pdfa

(Reserved) A boolean value which indicates whether to convert to a PDF/A file or a common PDF file. Currently, this is useless and Foxit PDF SDK will treated as false.

true means to convert Word document to a PDF/A file.
false means to convert Word document to a common file.

## ◆ disable_vba_code

FSDK.Word2PDFSettingData.disable_vba_code

A boolean value decide whether to disable the execution of vba code in the Word document.

true means to disable the vba code, while false means not. Default value:false.
This flag is only supported on Windows platforms.

## ◆ e_ConvertBookmarkOptionNone

FSDK.Word2PDFSettingData.e_ConvertBookmarkOptionNone
| static

Enumeration for bookmark option for for converting Word to PDF.

Values of this enumeration should be used alone.

Do not create bookmark in converted PDF file.

## ◆ e_ConvertBookmarkOptionUseHeadings

FSDK.Word2PDFSettingData.e_ConvertBookmarkOptionUseHeadings
| static

Create bookmarks in converted PDF file by using each heading of Word document.

Here; "Word heading" includes only headings within the main document and text boxes not within headers; footers; endnotes; footnotes; or comments.

## ◆ e_ConvertBookmarkOptionUseWordBookmark

FSDK.Word2PDFSettingData.e_ConvertBookmarkOptionUseWordBookmark
| static

Create bookmarks in converted PDF file by using each bookmarks of Word document.

Here; "Word bookmark" includes all bookmarks except those contained within headers and footers.

## ◆ e_ConvertContentOptionOnlyContent

FSDK.Word2PDFSettingData.e_ConvertContentOptionOnlyContent
| static

Enumeration for content option which specifies how much content of Word document is to be converted to PDF document.

Values of this enumeration should be used alone.

Convert Word document without markup.

## ◆ e_ConvertOptimizeOptionForPrint

FSDK.Word2PDFSettingData.e_ConvertOptimizeOptionForPrint
| static

Enumeration for optimize option (which specifies resolution and quality) for converting Word to PDF.

Values of this enumeration should be used alone.

Optimize option: convert for print; which is higher quality and results in a larger file size.

## ◆ include_doc_props

FSDK.Word2PDFSettingData.include_doc_props

A boolean value which indicates whether to include Word document properties in the converted PDF document.

true means to include Word document properties in the converted PDF document.
false means not to include Word document properties in the converted PDF document.